# Class MsaRowMarkComponent

#### Hierarchy

- Component<MsaRowMarkInterface, MsaRowMarkState>
  - MsaRowMarkComponent

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:26

#####
Index

### Constructors

constructor

### Properties

ACTIVE_COLOR
HOVER_COLOR
state

### Methods

click
hover
markHover
render

## Constructors

### constructor

- new MsaRowMarkComponent(props): MsaRowMarkComponent

- #### Parameters

  - ##### props: MsaRowMarkInterface

  #### Returns MsaRowMarkComponent

  Overrides React.Component <MsaRowMarkInterface,MsaRowMarkState>.constructor

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:31

## Properties

### `Private` `Readonly` ACTIVE_COLOR

ACTIVE_COLOR: string = "rgb(51, 122, 183)"

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:29

### `Private` `Readonly` HOVER_COLOR

HOVER_COLOR: string = "rgb(51, 122, 183)"

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:28

### `Readonly` state

state: MsaRowMarkState = ...

Overrides React.Component.state

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:35

## Methods

### `Private` click

- click(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:51

### `Private` hover

- hover(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:55

### `Private` markHover

- markHover(flag): void

- #### Parameters

  - ##### flag: boolean

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:59

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowMarkComponent.tsx:41

Generated using TypeDoc